%define name berry-mkdiscicons
%define version 0.06
%define release b1

Name:		%{name}
Summary:	Automatic KDE/GNOME Desktop Disc Icon Creator for BERRY
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Automatic KDE/GNOME Desktop Disc Icon Creator for BERRY.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
#install -m 755 mkdiscicons.sh %{buildroot}/opt/berry/mkdiscicons
sed -e "/^##.*/d" mkdiscicons.sh > %{buildroot}/opt/berry/mkdiscicons
chmod 755 %{buildroot}/opt/berry/mkdiscicons


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/mkdiscicons


##
## change log
##

%changelog
* Wed Aug 3 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support udev
* Tue Nov 16 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use UTF-8 for CD-ROM
* Mon Jul 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change harddisc name
* Mon May 31 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Don't use .gnome-desktop
- Add 'iocharset=euc-jp' to DVD/CD-ROM
* Thu Nov 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Using KDE, don't make .gnome-desktop
- Make mount dir automatically
- Use UTF-8
- Support write mode
* Mon Nov 10 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/)
- mkdesktophdicons-knoppix_0.5-3.tar.gz
